2017-05-29 11:56 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000503Cheat Engine(No Category)public2016-12-10 23:01
ReporterThePlug 
Assigned ToDark Byte 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform32bit Unity GameOSWindows 7 SP1 64 bitOS VersionUltimate
Summary0000503: Mono Dissector Static Field Offsets Incorrect When Adding To Address List
DescriptionIn mono dissector, clicking 'Add static field addresses' adds all the addresses from the class in 'static fields' to the CE address list. But the offset is incorrect for anything above 0x8. 0x10 changes to 0xC in the address list, 0x20 changes to 0x14, 0x30 changes to 0x1E. Any address with hex in it like 0xC changes to 0, 0x1C changes to 0, 0x2D changes to 0, etc.

It's very time consuming having to manually change each offset according to what shows in the mono dissector with big classes.
Steps To ReproduceAttach CE to any Unity game

Mono > Dissect Mono > Left Click On Class > Fields > Add Static Field Addresses

Check address list and the offsets above 0x8 will all be different from what shows in the mono dissector.
Tagsbug, Mono
Attached Files

-Relationships
+Relationships

-Notes

~0001099

ThePlug (reporter)

It seems the already hex offsets are being converted to hex again, since the hex of 10 is C and hex of 20 is 14.

~0001100

Dark Byte (developer)

should be fixed with this script:
https://raw.githubusercontent.com/cheat-engine/cheat-engine/master/Cheat%20Engine/bin/autorun/monoscript.lua
+Notes

-Issue History
Date Modified Username Field Change
2016-08-27 13:05 ThePlug New Issue
2016-08-27 13:05 ThePlug Tag Attached: Mono
2016-08-27 13:07 ThePlug Tag Attached: bug
2016-08-27 13:17 ThePlug Note Added: 0001099
2016-09-06 07:54 Dark Byte Assigned To => Dark Byte
2016-09-06 07:54 Dark Byte Status new => acknowledged
2016-09-06 08:04 Dark Byte Status acknowledged => resolved
2016-09-06 08:04 Dark Byte Resolution open => fixed
2016-09-06 08:04 Dark Byte Note Added: 0001100
+Issue History